645 Packages in dev-ruby

Portage Tree » dev-ruby

Click the package name to view details, versions available and change logs.

GeoRuby
Ruby data holder for OGC Simple Features - Versions: 2.5.2 (MIT)
abstract
Library which enable you to define abstract method in Ruby - Versions: 1.0.0-r3 (Ruby)
actioncable
Integrated WebSockets for Rails - Versions: 5.0.4, 5.1.1, 5.1.3, 5.0.3, 5.0.5, 5.1.2 (MIT)
actionmailer
Framework for designing email-service layers - Versions: 4.2.8, 5.1.3, 5.1.2, 5.0.5, 4.2.9, 5.0.4, 5.1.1, 5.0.3 (MIT)
actionpack
Eases web-request routing, handling, and response - Versions: 4.2.9, 5.0.5, 5.1.2, 5.1.3, 5.0.4, 5.0.3, 4.2.8, 5.1.1 (MIT)
actionpack-action_caching
Action caching for Action Pack (removed from core in Rails 4.0) - Versions: 1.1.1, 1.2.0 (MIT)
actionpack-xml_parser
XML parameters parser for Action Pack (removed from core in Rails 4.0) - Versions: 2.0.0, 2.0.1, 1.0.2 (MIT)
actionview
Simple, battle-tested conventions and helpers for building web pages - Versions: 4.2.8, 5.0.3, 5.1.2, 5.1.3, 5.0.5, 5.0.4, 4.2.9, 5.1.1 (MIT)
activejob
Job framework with pluggable queues - Versions: 5.0.3, 5.1.1, 4.2.8, 5.0.5, 5.0.4, 5.1.3, 4.2.9, 5.1.2 (MIT)
activeldap
ActiveLDAP provides an activerecord inspired object oriented interface to LDAP - Versions: 4.0.6, 5.1.0 (GPL-2)
activemodel
Toolkit for building modeling frameworks like Active Record and Active Resource - Versions: 4.2.8, 4.2.9, 5.0.3, 5.1.3, 5.1.2, 5.0.5, 5.0.4, 5.1.1 (MIT)
activemodel-serializers-xml
XML serialization for your Active Model objects and Active Record models - Versions: 1.0.1, 1.0.2 (MIT)
activerecord
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM - Versions: 5.1.2, 5.1.3, 5.0.3, 4.2.8, 4.2.9, 5.1.1, 5.0.4, 5.0.5 (MIT)
activerecord-deprecated_finders
Used to extract and deprecate old-style finder option hashes in Active Record - Versions: 1.0.4 (MIT)
activeresource
Think Active Record for web resources - Versions: 5.0.0, 4.1.0 (MIT)
activesupport
Utility Classes and Extension to the Standard Library - Versions: 5.0.4, 4.2.9, 5.1.3, 5.0.3, 5.0.5, 4.2.8, 5.1.2, 5.1.1 (MIT)
acts_as_list
Capabilities for sorting and reordering a number of objects in a list - Versions: 0.9.4, 0.9.7, 0.9.5 (MIT)
addressable
A replacement for the URI implementation that is part of Ruby's standard library - Versions: 2.5.1, 2.4.0-r1 (Apache-2.0)
ae
Assertive Expressive is an assertions library designed for reuse - Versions: 1.8.2 (BSD-2)
afm
A very simple library to read Adobe Font Metrics files - Versions: 0.2.2 (MIT)
akismet
A Ruby client for the Akismet API - Versions: 1.0.2, 2.0.0 (MIT)
allison
A modern, pretty RDoc template - Versions: 2.0.3-r3 (AFL-3.0)
amatch
Approximate Matching Extension for Ruby - Versions: 0.3.1, 0.4.0 (GPL-2)
ammeter
Write specs for your Rails 3+ generators - Versions: 1.1.4-r1, 1.1.4 (MIT)
amq-client
A fully-featured, low-level AMQP 0.9.1 client - Versions: 1.0.4 (MIT)
amq-protocol
An AMQP 0.9.1 serialization library for Ruby - Versions: 1.9.2, 2.2.0, 2.1.0 (MIT)
amqp
AMQP client implementation in Ruby/EventMachine - Versions: 1.7.0, 1.6.0 (Ruby)
annoy
Like your annoying friend that asks you questions all the time - Versions: 0.5.6-r1 (MIT)
ansi
The Ruby ANSI project is collection of ANSI escape codes for Ruby - Versions: 1.5.0 (BSD-2)
archive-tar-minitar
Provides POSIX tarchive management from Ruby programs - Versions: 0.6.1, 0.6.1-r1 (|| ( BSD-2 Ruby ))
arel
Arel is a Relational Algebra for Ruby - Versions: 7.1.4, 6.0.3, 6.0.4, 8.0.0, 5.0.1.20140414130214 (MIT)
arel-helpers
Tools to help construct database queries - Versions: 2.3.0, 2.4.0 (MIT)
ascii85
Methods for encoding/decoding Adobe's binary-to-text encoding of the same name - Versions: 1.0.2-r2 (MIT)
asciidoctor
Processor for converting AsciiDoc into HTML 5, DocBook 4.5 and other formats - Versions: 1.5.5-r1, 1.5.6, 1.5.6.1 (MIT)
asciidoctor-diagram
A set of Asciidoctor extensions that enable you to add diagrams - Versions: 1.5.5, 1.5.4 (MIT)
asciimath
A pure Ruby AsciiMath parsing and conversion library - Versions: 1.0.4 (MIT)
ast
A library for working with abstract syntax trees - Versions: 2.2.0, 2.3.0 (MIT)
astrolabe
An object-oriented AST extension for Parser - Versions: 1.3.1 (MIT)
async_sinatra
Asynchronous response API for Sinatra and Thin - Versions: 1.3.0, 1.2.1 (MIT)
atomic
An atomic reference implementation for JRuby, Rubinius, and MRI - Versions: 1.1.99 (Apache-2.0)
autoprefixer-rails
Add vendor prefixes to CSS rules using values from the Can I Use website - Versions: 7.1.2.2, 7.1.2.4, 7.1.2.3, 7.1.1.3, 7.1.2.1, 6.7.7.2 (MIT)
awesome_print
Library to pretty print Ruby objects in full color with proper indentation - Versions: 1.8.0, 1.7.0 (MIT)
aws-s3
Client library for Amazon's Simple Storage Service's REST API - Versions: 0.6.3 (MIT)
aws-sdk
Official SDK for Amazon Web Services - Versions: 2.8.14, 2.5.11, 2.6.50, 1.66.0, 2.9.44 (Apache-2.0)
aws-sdk-core
Official SDK for Amazon Web Services - Versions: 2.5.11, 2.8.14, 2.6.50, 2.9.44 (Apache-2.0)
aws-sdk-resources
Official SDK for Amazon Web Services - Versions: 2.9.44, 2.6.50, 2.8.14, 2.5.11 (Apache-2.0)
aws-sigv4
Amazon Web Services Signature Version 4 signing library - Versions: 1.0.1, 1.0.0 (Apache-2.0)
axiom-types
Define types with optional constraints for use within axiom and other libraries - Versions: 0.1.1 (MIT)
backports
Backports of Ruby features for older Ruby - Versions: 3.8.0 (MIT)
bacon
Small RSpec clone weighing less than 350 LoC - Versions: 1.2.0-r2 (MIT)
barby
Ruby barcode generator that doesn't rely on 3rd party libraries - Versions: 0.6.3-r1, 0.6.4, 0.6.5 (MIT)
base32
A library which provides base32 decoding and encoding - Versions: 0.3.2 (MIT)
bcat
Pipe to browser utility for use at the shell and within editors - Versions: 0.6.2-r2 (MIT)
bcrypt-ruby
An easy way to keep your users' passwords secure - Versions: 3.1.11-r1, 3.1.11 (MIT)
bcrypt_pbkdf
Implements bcrypt_pdkfd (a variant of PBKDF2 with bcrypt-based PRF) - Versions: 1.0.0 (MIT)
best_in_place
In-place editor helper for Rails 3 - Versions: 3.1.1, 3.1.0 (MIT)
bindata
Parsing Binary Data in Ruby - Versions: 2.4.0 (BSD-2)
bindex
Bindings for your Ruby exceptions - Versions: 0.5.0 (MIT)
binding_of_caller
Retrieve the binding of a method's caller - Versions: 0.7.2 (MIT)
bit-struct
Library for packed binary data stored in ruby Strings - Versions: 0.16, 0.15.0 (Ruby-BSD)
blankslate
Base class with almost all of the methods from Object and Kernel being removed - Versions: 2.1.2.4, 3.1.3 (MIT)
bluecloth
A Ruby implementation of Markdown - Versions: 2.2.0-r3 (BSD)
bogus
Ensuring that the things you stub or mock actually exist - Versions: 0.1.6 (MIT)
bones
Tool that creates new Ruby projects from a code skeleton - Versions: 3.8.4-r1 (MIT)
bourne
Extends mocha to allow tracking and querying of stub and mock invocations - Versions: 1.6.0 (MIT)
brass
BRASS is a very basic assertions framework for Ruby - Versions: 1.2.1 (BSD-2)
bsearch
A binary search library for Ruby - Versions: 1.5.0-r2 (Ruby)
bson
A Ruby BSON implementation for MongoDB. (Includes binary C-based extension.) - Versions: 4.2.1, 3.2.6, 4.2.2, 4.1.1, 4.2.0 (APSL-2)
buftok
Statefully split input data by a specifiable token - Versions: 0.2.0-r1 (MIT)
builder
A builder to facilitate programatic generation of XML markup - Versions: 3.0.4-r2, 3.2.2-r1, 3.2.3 (MIT)
bundler
An easy way to vendor gem dependencies - Versions: 1.13.7, 1.12.6, 1.12.5, 1.14.6 (MIT)
bundler-audit
Provides patch-level verification for Bundled apps - Versions: 0.6.0, 0.5.0 (GPL-3)
bunny
Another synchronous Ruby AMQP client - Versions: 2.6.5, 2.7.0, 2.6.4-r1, 2.6.3 (MIT)
calendar_date_select
A popular and flexible JavaScript DatePicker for RubyOnRails - Versions: 2.1.2 (MIT)
camping
A small web framework modeled after Ruby on Rails - Versions: 2.1.532 (MIT)
capistrano
A distributed application deployment system - Versions: 3.4.1, 2.15.5-r2 (MIT)
capistrano-stats
Official metrics to help the development direction of Capistrano - Versions: 1.1.1 (MIT)
capybara
Capybara aims to simplify the process of integration testing Rack applications - Versions: 1.1.4, 2.14.4, 2.15.1, 2.13.0, 2.14.4-r1 (MIT)
celluloid
Provides a simple and natural way to build fault-tolerant concurrent programs - Versions: 0.17.3, 0.16.0-r1 (MIT)
celluloid-essentials
Provides a simple and natural way to build fault-tolerant concurrent programs - Versions: 0.20.5 (MIT)
celluloid-extras
Provides a simple and natural way to build fault-tolerant concurrent programs - Versions: 0.20.5 (MIT)
celluloid-fsm
Provides a simple and natural way to build fault-tolerant concurrent programs - Versions: 0.20.5 (MIT)
celluloid-io
Evented IO for Celluloid actors - Versions: 0.17.3, 0.16.2 (MIT)
celluloid-pool
Provides a simple and natural way to build fault-tolerant concurrent programs - Versions: 0.20.5 (MIT)
celluloid-supervision
Provides a simple and natural way to build fault-tolerant concurrent programs - Versions: 0.20.6 (MIT)
certificate_authority
Managing the core functions outlined in RFC-3280 for PKI - Versions: 0.1.6-r1, 0.1.6-r2 (MIT)
charlock_holmes
Character encoding detecting library for Ruby using ICU - Versions: 0.7.4, 0.7.3 (MIT)
childlabor
A scripting framework that replaces rake and sake - Versions: 0.0.3-r1 (MIT)
childprocess
Solution for controlling external programs running in the background - Versions: 0.5.3, 0.7.1, 0.7.0, 0.6.3 (MIT)
chronic
Chronic is a natural language date/time parser written in pure Ruby - Versions: 0.10.2 (MIT)
chunky_png
Pure Ruby library that can read and write PNG images - Versions: 1.3.6, 1.3.7, 1.3.8 (MIT)
classifier
Module to allow Bayesian and other types of classifications - Versions: 1.3.4 (LGPL-2.1)
classifier-reborn
Module to allow Bayesian and other types of classifications - Versions: 2.0.4, 2.1.0 (LGPL-2.1)
climate_control
Easily manage your environment - Versions: 0.0.3, 0.1.0, 0.2.0 (MIT)
cliver
An easy way to detect and use command-line dependencies - Versions: 0.3.2 (MIT)
cmdparse
Advanced command line parser supporting commands - Versions: 3.0.2, 3.0.3, 3.0.1, 2.0.6-r1 (LGPL-3)
cocaine
A small library for doing command lines - Versions: 0.5.8 (MIT)
coderay
A Ruby library for syntax highlighting - Versions: 1.1.1, 1.1.0-r2 (MIT)
coercible
Powerful, flexible and configurable coercion library - Versions: 1.0.0 (MIT)
coffee-rails
Coffee Script adapter for the Rails asset pipeline - Versions: 4.2.2, 4.1.1-r2, 4.2.2-r1, 4.2.1-r2 (MIT)
coffee-script
Ruby CoffeeScript is a bridge to the official CoffeeScript compiler - Versions: 2.4.1 (MIT)
coffee-script-source
Ruby CoffeeScript is a bridge to the official CoffeeScript compiler - Versions: 1.9.3, 1.12.2 (MIT)
color
Colour management with Ruby - Versions: 1.8 (MIT)
colorator
Colorize your text in the terminal - Versions: 0.1-r1, 1.1.0 (MIT)
colored
Console coloring - Versions: 1.2 (MIT)
colorize
Adds methods to set color, background color and text effect on console easier - Versions: 0.8.1 (GPL-2+)
columnize
Sorts an array in column order - Versions: 0.9.0 (Ruby)
combustion
Elegant Rails Engine Testing - Versions: 0.6.0, 0.5.5, 0.7.0 (MIT)
commander
The complete solution for Ruby command-line executables - Versions: 4.4.3 (MIT)
compass
Compass Stylesheet Authoring Framework - Versions: 1.0.3-r1 (MIT)
compass-core
Compass Stylesheet Authoring Framework - Versions: 1.0.3-r1 (MIT)
compass-import-once
Speed up your Sass compilation by making @import only import each file once - Versions: 1.0.5 (MIT)
concurrent-ruby
Modern concurrency tools including agents, futures, promises, thread pools, more - Versions: 1.0.5, 1.0.4 (MIT)
connection_pool
Generic connection pooling for Ruby - Versions: 2.2.0, 2.2.1 (MIT)
contracts
provides contracts for Ruby - Versions: 0.16.0 (MIT)
coolio
A high performance event framework for Ruby which uses the libev C library - Versions: 1.5.1, 1.5.0 (MIT)
countdownlatch
Synchronization aid to allow threads to wait for operations in other threads - Versions: 1.0.0-r1 (MIT)
crack
Really simple JSON and XML parsing, ripped from Merb and Rails - Versions: 0.4.3-r1, 0.4.2-r1, 0.4.3 (MIT)
crass
Ruby CSS parser that's fully compliant with the CSS Syntax Level 3 specification - Versions: 1.0.2 (MIT)
creole
Creole-to-HTML converter for Creole, the lightweight markup language - Versions: 0.5.0 (MIT)
cri
Cri is a library for building easy-to-use commandline tools - Versions: 2.8.0, 2.7.1, 2.9.1 (MIT)
css_parser
Sass-based Stylesheet Framework - Versions: 1.5.0, 1.4.9, 1.4.8, 1.4.10 (MIT)
curb
Ruby-language bindings for libcurl - Versions: 0.9.3 (Ruby)
curses
Ruby binding for curses, ncurses, and PDCurses - Versions: 1.1.3, 1.2.2, 1.2.1, 1.2.3 (|| ( Ruby BSD-2 ))
d3_rails
Ruby on Rails integration for the Javascript Data Visualization Framework, D3 - Versions: 3.5.16, 4.1.1, 3.5.17 (MIT BSD)
daemon_controller
Library to start and stop specific daemons programmatically in a robust manner - Versions: 1.2.0-r1 (MIT)
daemons
Wrap existing ruby scripts to be run as a daemon - Versions: 1.2.3, 1.2.4 (MIT)
dalli
A high performance pure Ruby client for accessing memcached servers - Versions: 2.7.6 (MIT)
database_cleaner
Strategies for cleaning databases - Versions: 1.6.1, 1.6.0, 1.5.3 (MIT)
date_validator
Simple, ORM agnostic, Ruby 1.9 compatible date validator for Rails 3 - Versions: 0.9.0 (MIT)
dbf
a small fast library for reading dBase, xBase, Clipper and FoxPro database files - Versions: 2.0.13, 3.1.0, 3.0.8 (MIT)
ddplugin
Provides plugin management for Ruby projects - Versions: 1.0.1 (MIT)
debug_inspector
A Ruby wrapper for the MRI 2.0 debug_inspector API - Versions: 0.0.2, 0.0.3 (MIT)
debugger-linecache
A module to read and cache file information of a Ruby program - Versions: 1.2.0 (MIT)
deep_merge
A simple set of utility functions for Hash - Versions: 1.1.1, 1.0.1 (MIT)
delayer
Delay the processing - Versions: 0.0.2 (MIT)
delayer-deferred
Ruby implementation of JSDeferred - Versions: 2.0.0, 1.1.1 (MIT)
dep_selector
constraint based package dependency resolver - Versions: 0.1.1-r1, 1.0.5 (Apache-2.0)
dependor
Reduces duplication when doing manual dependency injection - Versions: 1.0.1 (MIT)
deprecated
A Ruby library for handling deprecated code - Versions: 3.0.1-r2 (BSD)
descendants_tracker
Module that adds descendant tracking to a class - Versions: 0.0.4 (MIT)
did_you_mean
'did you mean?'experience in Ruby - Versions: 1.1.2, 1.0.2, 1.1.0 (MIT)
diff-lcs
Use the McIlroy-Hunt LCS algorithm to compute differences - Versions: 1.3, 1.2.5-r1 (|| ( MIT Ruby GPL-2 ))
dnsruby
A pure Ruby DNS client library - Versions: 1.59.3, 1.60.1, 1.60.2, 1.60.0 (Apache-2.0)
docile
Turns any Ruby object into a DSL - Versions: 1.1.5 (MIT)
domain_name
Domain Name manipulation library for Ruby - Versions: 0.5.20170223, 0.5.20161129, 0.5.20161021, 0.5.20170404, 0.5.24 (BSD-2)
dotenv
Loads environment variables from .env into ENV - Versions: 2.2.1 (MIT)
dust
Descriptive block syntax definition for Test::Unit - Versions: 0.1.7-r2 (MIT)
equalizer
Module to define equality, equivalence and inspection methods - Versions: 0.0.11 (MIT)
erubi
a ERB template engine for ruby; a simplified fork of Erubis - Versions: 1.6.1, 1.6.0 (MIT)
erubis
Erubis is an implementation of eRuby - Versions: 2.7.0-r2 (MIT)
escape_utils
Faster string escaping routines for your ruby apps - Versions: 1.2.1, 1.2.0 (MIT)
ethon
Very lightweight libcurl wrapper - Versions: 0.9.1, 0.10.1 (MIT)
evented-spec
A set of helpers to help you test your asynchronous code - Versions: 0.9.0 (MIT)
eventmachine
EventMachine is a fast, simple event-processing library for Ruby programs - Versions: 1.0.9.1, 1.2.0.1 (|| ( GPL-2 Ruby ))
execjs
ExecJS lets you run JavaScript code from Ruby - Versions: 2.6.0, 2.7.0, 1.4.0 (MIT)
exifr
A library to read EXIF info from JPEG and TIFF images - Versions: 1.2.6, 1.3.0, 1.3.1 (MIT)
expression_parser
A math parser - Versions: 0.9.0_p20130518 (MIT)
facets
Facets is the premier collection of extension methods for Ruby - Versions: 3.1.0 (Ruby)
facter
A cross-platform ruby library for retrieving facts from operating systems - Versions: 9999, 2.4.6, 3.8.0, 3.6.4, 3.6.6, 3.6.3, 3.7.1, 3.1.8, 2.5.0, 3.6.5 (Apache-2.0)
factory_girl
factory_girl provides a framework and DSL for defining and using factories - Versions: 4.8.0, 4.7.0 (MIT)
fakefs
A fake filesystem. Use it in your tests - Versions: 0.6.0-r1, 0.9.2, 0.11.0 (MIT)
fakeweb
Helper for faking web requests in Ruby - Versions: 1.3.0.20131201-r1 (GPL-2)
faraday
HTTP/REST API client library with pluggable components - Versions: 0.9.2-r2, 0.12.2, 0.11.0, 0.9.2-r1 (MIT)
faraday_middleware
Various middleware for Faraday - Versions: 0.12.0, 0.10.0, 0.11.0.1, 0.12.2, 0.11.0 (MIT)
faraday_middleware-multi_json
Response JSON parser using MultiJson and FaradayMiddleware - Versions: 0.0.6, 0.0.6-r1 (MIT)
fast-stemmer
Simple wrapper around multithreaded Porter stemming algorithm - Versions: 1.0.2-r2 (MIT)
fast_gettext
GetText but 3.5x faster, 560x less memory, clean namespace and threadsave! - Versions: 1.5.1, 1.4.1, 1.5.0, 1.4.1-r1 (public-domain)
fast_xs
fast_xs text escaping library ruby bindings - Versions: 0.8.0-r2 (MIT)
fattr
fattr.rb is a "fatter attr" for ruby - Versions: 2.3.0 (Ruby)
fcgi
FastCGI library for Ruby - Versions: 0.9.2.1-r1 (Ruby)
ferret
A ruby indexing/searching library - Versions: 0.11.8.7, 0.11.8.6 (MIT)
ffaker
Faster Faker, generates dummy data - Versions: 2.5.0, 2.6.0, 2.4.0 (MIT)
ffi
Ruby extension for programmatically loading dynamic libraries - Versions: 1.9.17, 1.9.18, 1.9.14, 1.9.10, 1.9.6-r2 (BSD)
file-tail
A small ruby library that allows it to 'tail' files in Ruby - Versions: 1.2.0, 1.1.1 (GPL-2)
filesize
small ruby class for handling filesizes with both the SI and binary prefixes - Versions: 0.1.1 (MIT)
fivemat
MiniTest/RSpec/Cucumber formatter that gives each test file its own line of dots - Versions: 1.3.5, 1.3.3 (MIT)
flexmock
Simple mock object library for Ruby unit testing - Versions: 2.3.5 (flexmock)
flickraw
A library to access flickr api in a simple way - Versions: 0.9.9 (MIT)
flog
Flog reports the most tortured code in an easy to read pain report - Versions: 4.6.1, 4.4.0 (MIT)
font-awesome-rails
Font-awesome for the asset pipeline - Versions: 4.7.0.2, 4.7.0.1 (MIT OFL)
forgery
Easy and customizable generation of forged data - Versions: 0.6.0 (MIT)
forwardable-extended
Forwardable with hash, and instance variable extensions - Versions: 2.6.0-r1, 2.6.0 (MIT)
fuubar
Instafailing RSpec progress bar formatter - Versions: 2.2.0 (MIT)
gettext-setup
A gem to ease i18n - Versions: 0.26-r1, 0.10 (Apache-2.0)
gettext_i18n_rails
FastGettext / Rails integration - Versions: 1.7.2, 1.8.0, 1.5.0 (public-domain)
gh
multi-layer client for the github api v3 - Versions: 0.15.1, 0.15.0-r1 (MIT)
gherkin
Fast Gherkin lexer and parser based on Ragel - Versions: 2.12.2, 3.2.0-r1, 4.1.3, 2.12.0-r3 (MIT)
git
Library for using Git in Ruby - Versions: 1.3.0 (MIT)
github_api
A Ruby wrapper for the GitHub REST API v3 - Versions: 0.17.0, 0.14.5 (MIT)
globalid
Reference models by URI - Versions: 0.3.6-r1, 0.4.0-r1, 0.3.7, 0.4.0, 0.3.6 (MIT)
gnuplot
Gnuplot drawing library - Ruby Bindings - Versions: 2.6.2-r2 (BSD)
gpgme
Ruby language binding for GnuPG Made Easy - Versions: 2.0.12 (GPL-2)
gruff
Beautiful graphs for one or multiple datasets - Versions: 0.7.0, 0.6.0 (MIT)
haml
A ruby web page templating engine - Versions: 4.0.7-r1, 5.0.1, 5.0.2 (MIT)
haml-rails
Provides Haml generators for Rails 4 - Versions: 0.9.0, 1.0.0 (MIT)
hamster
Efficient, immutable, thread-safe collection classes for Ruby - Versions: 3.0.0-r1 (MIT)
hashdiff
Simple Hash extension to make working with nested hashes easier - Versions: 0.3.4, 0.3.5 (MIT)
hashery
The Hashery is a tight collection of Hash-like classes - Versions: 2.1.2 (BSD-2)
hashicorp-checkpoint
Internal HashiCorp service to check version information - Versions: 0.1.4-r1 (MPL-2.0)
hashie
Hashie is a small collection of tools that make hashes more powerful - Versions: 2.1.2-r1, 3.5.6, 3.5.5, 3.5.1, 3.4.6 (MIT)
hashr
Simple Hash extension to make working with nested hashes easier - Versions: 2.0.1, 2.0.0 (MIT)
heredoc_unindent
Removes leading whitespace from Ruby heredocs - Versions: 1.2.0 (MIT)
hiera
A simple pluggable Hierarchical Database - Versions: 3.3.1, 2.0.0, 3.2.2, 3.3.0, 3.4.0, 1.3.4-r1 (Apache-2.0)
hiera-eyaml
Encrypted YAML backend for hiera - Versions: 2.1.0 (MIT)
hiera-eyaml-gpg
A GPG backend for hiera-eyaml - Versions: 0.6 (MIT)
hiera-eyaml-plaintext
A plaintext backend for hiera-eyaml - Versions: 0.6 (MIT)
highline
Highline is a high-level command-line IO library for ruby - Versions: 1.7.8, 1.7.6 (|| ( GPL-2 Ruby ))
hike
Hike is a Ruby library for finding files in a set of paths - Versions: 1.2.3-r1, 2.1.2 (MIT)
hipchat
Ruby library to interact with HipChat - Versions: 1.6.0 (MIT)
hitimes
A fast, high resolution timer library - Versions: 1.2.4, 1.2.5, 1.2.6 (ISC)
hocon
This is a port of the Typesafe Config library to Ruby. - Versions: 1.2.5 (Apache-2.0)
hoe
Hoe extends rake to provide full project automation - Versions: 3.16.0, 3.15.3-r2, 3.13.0-r1 (MIT)
hoe-seattlerb
Hoe plugins providing tasks used by seattle.rb - Versions: 1.3.4, 1.3.5 (MIT)
hpricot
A fast and liberal HTML parser for Ruby - Versions: 0.8.6-r5 (MIT)
html2haml
Convert HTML and HTML+Erb to Haml - Versions: 2.2.0 (MIT)
htmlentities
A simple library for encoding/decoding entities in (X)HTML documents - Versions: 4.3.4 (MIT)
http
An easy-to-use client library for making requests from Ruby - Versions: 1.0.2, 0.9.8, 0.9.8-r2, 0.6.3-r1, 0.9.8-r1, 2.2.2, 2.2.1 (MIT)
http-cookie
A ruby library to handle HTTP cookies - Versions: 1.0.3, 1.0.2-r1 (MIT)
http-form_data
Utility-belt to build form data request bodies - Versions: 1.0.2, 1.0.1-r1, 1.0.3 (MIT)
http_parser_rb
Simple callback-based HTTP request/response parser - Versions: 0.6.0-r1 (MIT)
httparty
Makes http fun! Also, makes consuming restful web services dead easy - Versions: 0.15.6, 0.14.0-r1, 0.15.5 (MIT)
httpauth
Library implementing the full HTTP Authentication protocol (RFC 2617) - Versions: 0.2.1 (MIT)
httpclient
'httpclient' gives something like the functionality of libwww-perl (LWP) in Ruby - Versions: 2.8.2.4, 2.8.3 (Ruby)
i18n
Add Internationalization support to your Ruby application - Versions: 0.6.11-r1, 0.8.6, 0.7.0-r2, 0.8.5, 0.8.4, 0.8.1 (MIT)
ice_nine
Deep Freeze Ruby Objects - Versions: 0.11.2 (MIT)
imagesize
Measure image size (GIF, PNG, JPEG, etc) - Versions: 0.1.1_p20100902-r1 (Ruby)
inflecto
Inflector for ruby - Versions: 0.0.2 (MIT)
inifile
Native Ruby package for reading and writing INI files - Versions: 3.0.0 (MIT)
instance_storage
Manage class instances with dictionary - Versions: 1.0.0 (MIT)
instantiator
Instantiate an arbitrary Ruby class - Versions: 0.0.6, 0.0.7 (MIT)
introspection
Dynamic inspection of the hierarchy of method definitions on a Ruby object - Versions: 0.0.4, 0.0.3 (MIT)
iobuffer
IO::Buffer is a byte queue which is intended for non-blocking I/O applications - Versions: 1.1.2-r3 (MIT)
itextomml
Native Ruby bindings to itex2MML, which converts itex equations to MathML - Versions: 1.5.6, 1.5.4, 1.5.5 (|| ( GPL-2+ MPL-1.1 LGPL-2+ ))
jeweler
Rake tasks to manage gems, versioning and generate new projects - Versions: 2.3.7 (MIT)
jira-ruby
API for JIRA - Versions: 1.4.1, 1.3.0, 1.4.0 (MIT)
jmespath
Implements JMESPath for Ruby - Versions: 1.3.1 (Apache-2.0)
journey
Journey is a router. It routes requests - Versions: 1.0.4-r1 (MIT)
jquery-rails
jQuery! For Rails! So great - Versions: 4.3.1-r1, 4.1.1, 4.2.2, 3.1.4, 4.1.1-r1, 4.3.1 (MIT)
jquery-ui-rails
The jQuery UI assets for the Rails 3.2+ asset pipeline - Versions: 5.0.5, 4.2.1, 6.0.0, 6.0.1 (MIT)
jsobfu
A Javascript code obfuscator - Versions: 0.4.2, 0.3.0-r1 (BSD)
json
A JSON implementation as a Ruby extension - Versions: 2.1.0, 1.8.3, 1.8.6, 2.0.4, 1.8.2-r1 (Ruby)
jwt
A Ruby implementation of JSON Web Token draft 06 - Versions: 1.5.6, 1.5.5, 1.5.4 (MIT)
kirbybase
A simple Ruby DBMS that stores data in plaintext files - Versions: 2.6.1-r2 (Ruby)
kissfft
ruby interface to kissfft - Versions: 0.0.2 (BSD)
kpeg
A simple PEG library for Ruby - Versions: 1.1.0 (MIT)
kramdown
Yet-another-markdown-parser but fast, pure Ruby, using strict syntax definition - Versions: 1.13.1, 1.13.2, 1.12.0, 1.13.2-r1, 1.14.0 (MIT)
launchy
Helper class for launching cross-platform applications - Versions: 2.4.3, 2.4.3-r1, 2.4.3-r2 (ISC)
lemon
Lemon is a unit testing framework - Versions: 0.9.1 (BSD-2)
letter_opener
Preview mail in the browser instead of sending - Versions: 1.4.1 (MIT)
levenshtein
Levenshtein distance algorithm - Versions: 0.2.2-r2 (GPL-2)
libxml
Ruby libxml with a user friendly API, akin to REXML - Versions: 2.8.0-r1, 2.9.0 (MIT)
liquid
Template engine for Ruby - Versions: 3.0.6, 2.6.2, 4.0.0 (MIT)
liquid-c
Liquid performance extension in C - Versions: 3.0.0 (MIT)
listen
Listens to file modifications and notifies you about the changes - Versions: 1.3.1-r4, 3.1.5, 3.0.8, 3.1.5-r1, 0.7.3-r2, 1.3.1-r3 (MIT)
litc
A tiny ruby module for Amazon EC2 intance metadata - Versions: 1.0.3-r1 (MIT)
little-plugger
Module that provides Gem based plugin management - Versions: 1.1.4 (MIT)
locale
A pure ruby library which provides basic APIs for localization - Versions: 2.1.2-r1, 2.1.0-r2, 2.1.2, 2.1.1 (|| ( Ruby GPL-2 ))
lockfile
A ruby library for creating NFS safe lockfiles - Versions: 2.1.3 (Ruby)
log4r
A comprehensive and flexible logging library written in Ruby - Versions: 1.1.10-r2 (LGPL-3)
log_buddy
Log statements along with their name easily - Versions: 0.7.0 (MIT)
logging
Flexible logging library based on the design of Java's log4j library - Versions: 2.2.0, 2.2.2, 2.1.0 (MIT)
logue
A module that adds logging/trace functionality - Versions: 1.0.4, 1.0.8 (MIT)
loofah
Library for manipulating and transforming HTML/XML documents and fragments. - Versions: 2.0.3 (MIT)
loquacious
Descriptive configuration files for Ruby written in Ruby - Versions: 1.9.1-r2 (MIT)
lumberjack
A simple, powerful, and very fast logging utility - Versions: 1.0.11, 1.0.10, 1.0.12 (MIT)
mab
Markup as Ruby - Versions: 0.0.3 (MIT)
magic
Ruby FFI bindings to libmagic - Versions: 0.2.9 (MIT)
mail
An email handling library - Versions: 2.6.5, 2.6.4, 2.6.6 (MIT)
maruku
A Markdown-superset interpreter written in Ruby - Versions: 0.7.3, 0.7.2-r1 (GPL-2)
mash
Mash is an extended Hash that gives simple pseudo-object functionality - Versions: 0.1.1-r2 (MIT)
maxitest
Minitest + all the features you always wanted - Versions: 2.4.0 (MIT)
mecab-ruby
Ruby binding for MeCab - Versions: 0.996-r1 (|| ( BSD LGPL-2.1 GPL-2 ))
mechanize
A Ruby library used for automating interaction with websites - Versions: 2.7.3-r1, 2.7.5, 2.7.5-r2 (GPL-2)
memoist
ActiveSupport::Memoizable with a few enhancements - Versions: 0.15.0, 0.16.0, 0.14.0 (MIT)
memoizable
Memoize method return values - Versions: 0.4.2 (MIT)
memoize
A Ruby library that lets you memoize methods - Versions: 1.3.1-r1 (Artistic-2)
mercenary
Lightweight and flexible library for writing command-line apps - Versions: 0.3.6 (MIT)
metaclass
Adds a __metaclass__ method to all Ruby objects - Versions: 0.0.4 (MIT)
metaid
An aid to Ruby metaprogramming - Versions: 1.0-r3 (MIT)
metasm
cross-architecture assembler, disassembler, linker, and debugger - Versions: 9999, 1.0.2-r4 (LGPL-2.1)
metasploit-concern
Metasploit concern allows you to define concerns in app/concerns. - Versions: 2.0.3, 2.0.1 (BSD)
metasploit-credential
Code for modeling and managing credentials in Metasploit - Versions: 2.0.8 (BSD)
metasploit-model
Common code, such as validators and mixins - Versions: 2.0.3 (BSD)
metasploit-payloads
Compiled binaries for Metasploit's Meterpreter - Versions: 1.2.28, 1.1.13, 1.2.24, 1.1.11 (BSD)
metasploit_data_models
The database layer for Metasploit - Versions: 2.0.14 (BSD)
metasploit_payloads-mettle
Compiled binaries for Metasploit's next-gen Meterpreter - Versions: 0.0.6, 0.1.9 (BSD)
meterpreter_bins
Compiled binaries for Metasploit's Meterpreter - Versions: 0.0.22 (BSD)
method_source
Retrieve the source code for a method - Versions: 0.8.2-r3 (MIT)
mime-types
Provides a mailcap-like MIME Content-Type lookup for Ruby - Versions: 2.99.2, 1.25.1, 2.6.2, 3.0-r1, 3.0, 3.1 (MIT Artistic GPL-2)
mime-types-data
Registry for information about MIME media type definitions - Versions: 3.2016.0521 (MIT)
mimemagic
Fast mime detection by extension or content - Versions: 0.3.2, 0.3.1 (MIT)
mini_magick
Manipulate images with minimal use of memory - Versions: 4.8.0, 4.5.1-r1 (MIT)
mini_mime
A lightweight mime type lookup toy - Versions: 0.1.3, 0.1.4 (MIT)
minitest
minitest/unit is a small and fast replacement for ruby's huge and slow test/unit - Versions: 5.10.2, 5.3.3-r1, 5.9.1, 4.7.5-r1, 4.7.5-r2, 5.10.3, 5.8.4 (MIT)
minitest-bonus-assertions
Bonus assertions for minitest - Versions: 3.0, 2.0 (MIT)
minitest-hooks
Adds around and before_all/after_all/around_all hooks for Minitest - Versions: 1.4.1, 1.4.0 (MIT)
minitest-pretty_diff
Pretty-print hashes and arrays before diffing them in MiniTest - Versions: 0.1 (MIT)
mixlib-shellout
Run external commands on Unix or Windows - Versions: 2.3.2, 2.2.7 (Apache-2.0)
mocha
Mocking and stubbing using a syntax like that of JMock and SchMock - Versions: 1.2.0, 0.12.10-r1, 1.1.0, 0.14.0, 0.13.3-r2, 1.2.1, 0.10.5-r2, 0.11.4-r1 (MIT)
moneta
A unified interface to key/value stores - Versions: 1.0.0, 0.8.1 (MIT)
mongo
A Ruby driver for MongoDB - Versions: 2.0.6 (APSL-2)
msgpack
Binary-based efficient data interchange format for ruby binding - Versions: 1.0.3, 0.7.6, 1.1.0, 1.0.1, 1.0.2 (Apache-2.0)
multi_json
A gem to provide swappable JSON backends - Versions: 1.9.3, 1.11.2, 1.12.1 (MIT)
multi_test
A uniform interface for Ruby testing libraries - Versions: 0.1.2 (MIT)
multi_xml
A generic swappable back-end for XML parsing - Versions: 0.5.5, 0.5.4-r2, 0.6.0 (MIT)
multipart-post
Adds a streamy multipart form post capability to Net::HTTP - Versions: 2.0.0-r1 (MIT)
mustache
Mustache is a framework-agnostic way to render logic-free views - Versions: 1.0.4, 1.0.5, 1.0.2, 1.0.3 (MIT)
mysql2
A modern, simple and very fast Mysql library for Ruby - binding to libmysql - Versions: 0.4.9, 0.3.21, 0.4.6, 0.4.8, 0.4.7 (MIT)
nagios
Nagios-rb is a compact framework for writing Nagios plugins - Versions: 0.0.4-r1 (MIT)
nagios_analyzer
A simple parser for Nagios status files - Versions: 0.0.5-r1 (MIT)
nanotest
Extremely mynymal test framework - Versions: 0.9.4.1 (MIT)
narray
Numerical N-dimensional Array class - Versions: 0.6.1.2, 0.6.1.1 (Ruby)
naught
A toolkit for building Null Objects in Ruby - Versions: 1.1.0 (MIT)
nenv
Convenient wrapper for Ruby's ENV - Versions: 0.3.0 (MIT)
neovim-ruby-client
Ruby bindings for Neovim - Versions: 0.3.1, 0.3.2, 0.3.0, 0.4.0 (MIT)
net-http-digest_auth
An implementation of RFC 2617 - Digest Access Authentication - Versions: 1.4-r2, 1.4.1 (MIT)
net-http-persistent
Manages persistent connections using Net::HTTP plus a speed fix for Ruby 1.8 - Versions: 3.0.0, 2.9.4-r2 (MIT)
net-http-pipeline
An HTTP/1.1 pipelining implementation atop Net::HTTP - Versions: 1.0.1 (MIT)
net-scp
A pure Ruby implementation of the SCP client protocol - Versions: 1.2.1, 1.1.2-r1 (GPL-2)
net-sftp
SFTP in pure Ruby - Versions: 2.1.2-r2 (GPL-2)
net-ssh
Non-interactive SSH processing in pure Ruby - Versions: 3.2.0, 4.1.0, 2.10.0 (GPL-2)
net-ssh-gateway
A simple library to assist in enabling tunneled Net::SSH connections - Versions: 1.3.0, 1.2.0-r1, 2.0.0 (GPL-2)
net-ssh-multi
A library for controlling multiple Net::SSH connections via a single interface - Versions: 1.2.1 (GPL-2)
net-telnet
Provides telnet client functionality - Versions: 0.1.1-r1 (|| ( Ruby-BSD BSD-2 ))
netrc
This library reads and writes .netrc files - Versions: 0.11.0 (MIT)
network_interface
network_interface layer from metasploit pcaprub - Versions: 0.0.1-r1 (MIT)
nexpose
API client for Nexpose vulnerability managment product - Versions: 5.3.1, 5.3.2 (BSD)
niceogiri
Some wrappers around and helpers for XML manipulation using Nokogiri - Versions: 1.1.2 (MIT)
nio4r
A high performance selector API for monitoring IO objects - Versions: 1.2.1-r1, 1.2.1, 2.1.0, 2.0.0 (MIT)
nokogiri
Nokogiri is an HTML, XML, SAX, and Reader parser - Versions: 1.8.0, 1.7.1, 1.6.8.1, 1.7.2 (MIT)
nokogiri-diff
Calculate the differences between two XML/HTML documents - Versions: 0.2.0-r2 (MIT)
nokogumbo
A Nokogiri interface to the Gumbo HTML5 parser - Versions: 1.4.9, 1.4.13, 1.4.7 (Apache-2.0)
notify
A function to notify on cross platform - Versions: 0.5.2-r1 (MIT)
ntlm-http
Ruby/NTLM HTTP provides NTLM authentication over http - Versions: 0.1.1-r2 (BSD-2)
oauth
A RubyGem for implementing both OAuth clients and servers - Versions: 0.5.3, 0.4.7-r2, 0.5.1 (MIT)
oauth2
Wrapper for the OAuth 2.0 protocol with a similar style to the OAuth gem - Versions: 1.2.0-r1, 1.3.1, 1.4.0, 1.3.0, 1.2.0 (MIT)
octokit
Ruby toolkit for the Github API - Versions: 4.4.1, 4.6.2, 4.7.0 (MIT)
omniauth
A generalized Rack framework for multiple-provider authentication - Versions: 1.6.1, 1.3.1, 1.6.0, 1.3.2, 1.4.0 (MIT)
open4
Open3::popen3 with exit status - Versions: 1.3.4 (MIT)
openssl-ccm
OpenSSL CBC-MAC (CCM) ruby gem - Versions: 1.2.1 (BSD)
openvas-omp
Communicate with OpenVAS manager through OMP - Versions: 0.0.4 (BSD)
optionable
Robust options validation for Ruby methods - Versions: 0.2.0 (MIT)
org-ruby
Ruby routines for parsing org-mode files - Versions: 0.9.12 (MIT)
origin
Origin is a simple DSL for generating MongoDB selectors and options - Versions: 2.3.0, 2.2.2, 2.3.1 (MIT)
ox
A fast XML parser and Object marshaller - Versions: 2.5.0, 2.4.11, 2.4.13, 2.6.0 (BSD)
packetfu
A mid-level packet manipulation library - Versions: 1.1.11-r1, 1.1.13 (BSD)
paint
Terminal painter - Versions: 2.0.0, 1.0.1 (MIT)
parallel
Run any code in parallel Processes or Threads - Versions: 1.12.0, 1.11.2 (MIT)
parser
A production-ready Ruby parser written in pure Ruby - Versions: 2.3.3.0, 2.3.3.1, 2.4.0.0 (MIT)
parslet
A small PEG based parser library - Versions: 1.8.0, 1.7.1 (MIT)
patch_finder
Generic Patch Finder - Versions: 1.0.2 (BSD)
path_expander
Pre-process CLI arguments expanding directories into their constituent files - Versions: 1.0.2, 1.0.1 (MIT)
pathutil
Like Pathname but a little less insane - Versions: 0.14.0, 0.14.0-r1 (MIT)
patron
Patron is a Ruby HTTP client library based on libcurl - Versions: 0.8.0, 0.4.18-r2, 0.5.0-r1, 0.9.1 (MIT)
pcaprub
Libpcap bindings for ruby compat - Versions: 0.12.1, 0.11.3-r2, 0.12.4 (LGPL-2.1)
pdf-core
Implements low level PDF features for Prawn - Versions: 0.6.1, 0.6.1-r1, 0.7.0 (|| ( Ruby GPL-2 GPL-3 ))
pdf-inspector
A tool for analyzing PDF output - Versions: 1.2.1, 1.2.1-r1, 1.3.0, 1.1.0-r1, 1.2.0 (|| ( Ruby GPL-2 GPL-3 ))
pdf-reader
PDF parser conforming as much as possible to the PDF specification from Adobe - Versions: 1.4.1, 1.4.1-r1, 2.0.0 (MIT)
permutation
Library performing operations with permutations of sequences (strings, arrays) - Versions: 0.1.8-r1 (|| ( Ruby-BSD BSD-2 ))
pg
Ruby extension library providing an API to PostgreSQL - Versions: 0.18.4-r1, 0.17.1-r1, 0.18.4, 0.21.0 (|| ( GPL-2 Ruby ))
pg_array_parser
Simple library to parse PostgreSQL arrays into a array of strings - Versions: 0.0.9-r1, 0.0.9-r2 (MIT)
pkg-config
A pkg-config implementation by Ruby - Versions: 1.1.7, 1.2.3, 1.2.4 (|| ( LGPL-2 LGPL-2.1 LGPL-3 ))
plist
A library to manipulate Property List files, also known as plists - Versions: 3.2.0, 3.3.0 (MIT)
pluggaloid
Pluggaloid is extensible plugin system for mikutter - Versions: 1.1.1, 1.0.2 (MIT)
podcast
A pure Ruby library for generating podcasts from mp3 files - Versions: 0.0.4-r2 (GPL-2)
poltergeist
A PhantomJS driver for Capybara - Versions: 1.14.0, 1.10.0, 1.9.0 (MIT)
polyglot
Polyglot provides support for fully-custom DSLs - Versions: 0.3.5 (MIT)
posix-spawn
Library that implements a subset of the Ruby 1.9 Process::spawn - Versions: 0.3.12, 0.3.11, 0.3.13 (MIT LGPL-2.1)
postgres_ext
Native PostgreSQL data types and querying extensions for ActiveRecord and Arel - Versions: 2.4.1, 3.0.0 (BSD)
power_assert
Shows each value of variables and method calls in the expression - Versions: 1.1.0, 1.0.1-r1, 0.4.1, 0.3.1, 1.0.2 (|| ( Ruby BSD-2 ))
prawn
Fast, Nimble PDF Generation For Ruby - Versions: 2.1.0, 2.2.0 (|| ( GPL-2 Ruby ))
prawn-table
Provides support for tables in Prawn - Versions: 0.2.2, 0.2.2-r1 (|| ( GPL-2+ Ruby ))
priorityqueue
A fibonacci-heap priority-queue implementation - Versions: 0.1.2 (Ruby)
protected_attributes
Protect attributes from mass-assignment in ActiveRecord models - Versions: 1.1.4 (MIT)
pry
Pry is a powerful alternative to the standard IRB shell for Ruby - Versions: 0.10.4 (MIT)
psych
A libyaml wrapper for Ruby - Versions: 2.2.4 (MIT)
public_suffix
Parse and decompose a domain name into top level domain, domain and subdomains - Versions: 2.0.5, 3.0.0-r1 (MIT)
pundit
Object oriented authorization for Rails applications - Versions: 1.1.0 (MIT)
puppetdb-termini
Library needed to connect puppet to puppetdb - Versions: 5.0.1, 4.3.0 (Apache-2.0)
pusher-client
Client for consuming WebSockets from http://pusher.com - Versions: 0.6.2 (MIT)
pygments_rb
Pygments syntax highlighting in ruby - Versions: 1.1.2, 0.6.3 (MIT)
qed
QED (Quality Ensured Demonstrations) is a TDD/BDD framework - Versions: 2.9.2 (BSD-2)
racc
A LALR(1) parser generator for Ruby - Versions: 1.4.11, 1.4.14 (LGPL-2.1)
rack
A modular Ruby webserver interface - Versions: 1.6.5, 1.6.7, 1.6.4, 1.5.5, 1.4.7, 1.6.6, 2.0.1, 2.0.3, 2.0.2 (MIT)
rack-attack
A DSL for blocking & throttling abusive clients - Versions: 5.0.1, 4.4.1 (MIT)
rack-cache
Enable HTTP caching for Rack-based applications that produce freshness info - Versions: 1.7.0, 1.6.1 (MIT)
rack-mount
A stackable dynamic tree based Rack router - Versions: 0.8.3-r2 (MIT)
rack-openid
Provides a more HTTPish API around the ruby-openid library - Versions: 1.4.2 (MIT)
rack-protection
This gem protects against typical web attacks - Versions: 1.5.3-r1, 2.0.0 (MIT)
rack-ssl
Force SSL/TLS in your app - Versions: 1.4.1, 1.3.4 (MIT)
rack-test
Rack::Test is a small, simple testing API for Rack apps - Versions: 0.7.0, 0.6.3 (MIT)
radius
Powerful tag-based template system - Versions: 0.7.4-r3 (MIT)
ragol
Another implementation of an option processor - Versions: 1.0.1-r2 (MIT)
rails
ruby on rails is a web-application and persistance framework - Versions: 4.2.8, 5.1.2, 5.0.3, 4.2.9, 5.0.4, 5.1.1, 5.1.3, 5.0.5 (MIT)
rails-deprecated_sanitizer
Deprecated sanitizer API extracted from Action View - Versions: 1.0.3-r1, 1.0.3, 1.0.3-r2 (MIT)
rails-dom-testing
Compare doms and assert certain elements exists in doms using Nokogiri - Versions: 1.0.8, 2.0.3, 2.0.2, 1.0.8-r1 (MIT)
rails-html-sanitizer
Sanitize HTML fragments in Rails applications - Versions: 1.0.3, 1.0.3-r1 (MIT)
rails-observers
Rails Observers - Versions: 0.1.2 (MIT)
railties
Tools for creating, working with, and running Rails applications - Versions: 4.2.8, 5.0.4, 4.2.9, 5.0.5, 5.1.3, 5.1.1, 5.1.2, 5.0.3 (MIT)
rainbow
Colorize printed text on ANSI terminals - Versions: 2.2.1, 1.1.4-r1, 2.2.2, 2.1.0, 2.0.0-r1 (MIT)
rake
Make-like scripting in Ruby - Versions: 11.2.2-r1, 0.9.6-r1, 11.3.0, 10.5.0, 12.0.0, 11.1.2 (MIT)
rake-compiler
Provide a standard and simplified way to build and package Ruby extensions - Versions: 1.0.2, 1.0.4 (MIT)
rake-remote_task
Extends Rake with remote task goodness - Versions: 2.4.2, 2.4.1 (MIT)
rash
Rash is an extension to Hashie - Versions: 0.4.0-r2 (MIT)
rash_alt
Rash alt version for Hashie's own Rash - Versions: 0.4.3 (MIT)
rb-gsl
Ruby interface to GNU Scientific Library - Versions: 1.16.0.6, 2.1.0.1 (GPL-2)
rb-inotify
A thorough inotify wrapper for Ruby using FFI - Versions: 0.9.10, 0.9.5-r1, 0.9.9, 0.9.8 (MIT)
rb-readline
Ruby implementation of the GNU readline C library - Versions: 0.5.3, 0.5.5, 0.5.4 (BSD)
rb-readline-r7
Ruby implementation of the GNU readline C library forked by r7 - Versions: 0.5.2.0 (BSD)
rbnacl
Provides a high-level toolkit for building cryptographic systems and protocols - Versions: 5.0.0, 4.0.2 (MIT)
rbpdf
Ruby on Rails RBPDF plugin - Versions: 1.19.1, 1.19.0, 1.19.2 (LGPL-2.1+)
rbpdf-font
Font files for the Ruby on Rails RBPDF plugin - Versions: 1.19.1, 1.19.0-r1 (LGPL-2.1+)
rbtree
Ruby/RBTree module - Versions: 0.4.2-r1 (MIT)
rcairo
Ruby bindings for cairo - Versions: 1.14.3, 1.15.4, 1.15.5, 1.15.9-r1 (|| ( Ruby GPL-2 ))
rdiscount
Implementation of John Gruber's Markdown - Versions: 2.2.0.1, 2.1.8 (MIT)
rdoc
An extended version of the RDoc library from Ruby 1.8 - Versions: 5.0.0-r3, 4.2.2, 4.2.0, 4.3.0, 5.1.0 (Ruby MIT)
rdtool
A multipurpose documentation format for Ruby - Versions: 0.6.38-r2 (Ruby GPL-2)
recog
Pattern recognition for hosts, services, and content - Versions: 2.1.6-r1, 2.0.14-r1 (BSD-2)
redcarpet
A Ruby wrapper for Upskirt - Versions: 3.4.0, 3.3.4 (MIT)
redcloth
A module for using Textile in Ruby - Versions: 4.3.2, 4.2.9-r4 (MIT)
redis
A Ruby client library for Redis - Versions: 3.3.2, 3.3.3 (MIT)
ref
Implements weak, soft, and strong references in Ruby - Versions: 2.0.0 (MIT)
regexp_parser
A library for tokenizing, lexing, and parsing Ruby regular expressions - Versions: 0.4.4, 0.4.3 (MIT)
request_store
Per-request global storage for Rack - Versions: 1.3.1, 1.3.2, 1.0.5 (MIT)
rest-client
Simple Simple HTTP and REST client for Ruby - Versions: 2.0.2, 2.0.1, 1.8.0-r3 (MIT)
rex-arch
architecture specific information for Rex - Versions: 0.1.4, 0.1.5 (BSD)
rex-bin_tools
suite of tools for analyzing executables to find specific chunks of code - Versions: 0.1.2 (BSD)
rex-core
Core libraries required for the Ruby Exploitation(Rex) Suite - Versions: 0.1.12, 0.1.10, 0.1.9 (BSD)
rex-encoder
provides the basis for all of the polymorphic encoders that Metasploit uses - Versions: 0.1.3, 0.1.4 (BSD)
rex-exploitation
various helper mechanisms for creating exploits - Versions: 0.1.12 (BSD)
rex-java
Ruby Exploitation(Rex) library for parsing Java serialized streams - Versions: 0.1.2 (BSD)
rex-mime
library is for creating and/or parsing MIME messages - Versions: 0.1.4 (BSD)
rex-nop
Rex library for dynamic generation of x86 multi-byte NOPs - Versions: 0.1.0 (BSD)
rex-ole
Ruby Exploitation(Rex) library gem for reading/writing OLE files and streams - Versions: 0.1.2 (BSD)
rex-powershell
Ruby Exploitation(Rex) library for generating/manipulating Powershell scripts - Versions: 0.1.65, 0.1.1-r1, 0.1.64 (BSD)
rex-random_identifier
Ruby Exploitation(Rex) library for generating Random identifier strings - Versions: 0.1.0-r1 (BSD)
rex-registry
Rex library for parsing offline registry files from a Windows machine - Versions: 0.1.0-r1 (BSD)
rex-rop_builder
Ruby Exploitation(Rex) Library for building ROP chains - Versions: 0.1.2 (BSD)
rex-socket
Ruby Exploitation (Rex) Socket Abstraction Library - Versions: 0.1.5 (BSD)
rex-sslscan
ruby implmenetation of the SSLScan tool - Versions: 0.1.3 (BSD)
rex-struct2
Ruby Exploitation(Rex) library for generating/manipulating C-Style structs - Versions: 0.1.0, 0.1.1 (BSD)
rex-text
Rex library for text generation and manipulation - Versions: 0.2.9, 0.2.12, 0.1.2 (BSD)
rex-zip
Ruby Exploitation(Rex) library for working with zip and related files - Versions: 0.1.0-r1, 0.1.1 (BSD)
rexical
Rexical is a lexical scanner generator - Versions: 1.0.5-r3 (LGPL-2)
rgen
Ruby Modelling and Generator Framework - Versions: 0.8.1, 0.8.0, 0.8.2 (MIT)
riel
This library extends the core Ruby libraries - Versions: 1.2.0-r2 (MIT)
right_http_connection
RightScale's robust HTTP/S connection module - Versions: 1.5.0, 1.3.0-r1 (MIT)
rinku
A Ruby library that does autolinking - Versions: 2.0.2, 2.0.0, 1.7.3 (ISC)
ritex
Converts expressions from WebTeX into MathML - Versions: 1.0.1 (GPL-2)
rjb
Rjb is a Ruby-Java software bridge - Versions: 1.5.4, 1.5.5 (LGPL-2.1)
rkelly-remix
RKelly Remix is a fork of the RKelly JavaScript parser - Versions: 0.0.6, 0.0.7 (MIT)
rmagick
An interface between Ruby and the ImageMagick(TM) image processing library - Versions: 2.15.4, 2.16.0, 2.13.4 (Artistic)
roadie
Making HTML emails comfortable for the Rails rockstars - Versions: 3.2.1-r1, 3.2.2, 3.2.1-r2, 3.2.1 (MIT)
roadie-rails
Hooks Roadie into your Rails application to help with email generation - Versions: 1.2.1, 1.1.1 (MIT)
robots
A simple Ruby library to parse robots.txt - Versions: 0.10.1-r2 (MIT)
rouge
Yet-another-markdown-parser using a strict syntax definition in pure Ruby - Versions: 1.11.1-r1, 2.1.0, 2.2.0, 2.1.1 (MIT)
rqrcode
Library for encoding QR Codes - Versions: 0.10.1, 0.9.0 (MIT)
rr
A double framework featuring a selection of double techniques and a terse syntax - Versions: 1.1.2-r1, 1.2.1, 1.2.0 (MIT)
rrdtool-bindings
Ruby bindings for rrdtool - Versions: 1.4.8, 1.6.0, 1.5.5, 1.7.0 (GPL-2)
rspec
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 3.6.0, 3.5.0, 2.14.1-r1, 2.99.0, 3.3.0 (MIT)
rspec-collection_matchers
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 1.1.3-r1, 1.1.3 (MIT)
rspec-core
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 2.99.2-r2, 3.5.3, 2.99.2-r1, 3.5.4, 2.14.8-r4, 3.3.2-r1, 3.3.2, 3.6.0 (MIT)
rspec-expectations
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 3.6.0, 3.5.0, 3.3.1, 2.99.2, 2.14.5-r1 (MIT)
rspec-its
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 1.2.0-r1 (MIT)
rspec-json_expectations
Set of matchers and helpers to allow you test your APIs responses. - Versions: 2.1.0 (MIT)
rspec-mocks
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 2.14.6-r1, 2.99.2, 3.6.0, 3.3.2, 3.5.0 (MIT)
rspec-rails
RSpec's official Ruby on Rails plugin - Versions: 3.3.3, 2.99.0, 3.5.2-r1, 3.5.2, 2.14.2, 3.6.1, 3.6.0 (MIT)
rspec-retry
Retry intermittently failing rspec examples - Versions: 0.5.2, 0.5.3, 0.5.4 (MIT)
rspec-support
A Behaviour Driven Development (BDD) framework for Ruby - Versions: 3.5.0, 3.3.0, 3.6.0 (MIT)
rspectacular
RSpec support and matchers - Versions: 0.70.7, 0.70.0 (MIT)
ruby-atk
Ruby Atk bindings - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-augeas
Ruby bindings for Augeas - Versions: 0.5.0-r3 (LGPL-2.1)
ruby-beautify
a cli tool (and module) to beautify ruby code - Versions: 0.97.4 (MIT)
ruby-cairo-gobject
Ruby cairo-gobject bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-clutter
Ruby Clutter bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-clutter-gdk
Ruby binding of GDK specific API of Clutter - Versions: 3.1.1 (Ruby)
ruby-clutter-gstreamer
Ruby Clutter bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-clutter-gtk
Ruby Clutter bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-dict
RFC 2229 client in Ruby - Versions: 0.9.4-r4 (GPL-2)
ruby-elf
Ruby library to access ELF files information - Versions: 1.0.8 (GPL-2+)
ruby-feedparser
Ruby library to parse ATOM/RSS feeds - Versions: 0.9.4 (GPL-2)
ruby-filemagic
Ruby binding to libmagic - Versions: 0.7.1, 0.7.2 (Ruby)
ruby-gdk3
Ruby GDK-3.x bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-gdkpixbuf2
Ruby GdkPixbuf2 bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-gettext
Native Language Support Library and Tools modeled after GNU gettext package - Versions: 3.2.3, 3.2.4, 3.2.2, 3.2.3-r1, 3.1.1 (|| ( Ruby LGPL-3+ ))
ruby-gio2
Ruby binding of GooCanvas - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-glib2
Ruby Glib2 bindings - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-gnome2
Ruby Gnome2 bindings - Versions: 3.1.1, 3.0.8-r1 (Ruby)
ruby-gobject-introspection
Ruby GObjectIntrospection bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-gstreamer
Ruby GStreamer bindings - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-gtk2
Ruby Gtk2 bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-gtk3
Ruby Gtk3 bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-gtksourceview
Ruby bindings for gtksourceview - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-gtksourceview3
Ruby Gtk3 bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-hmac
A common interface to HMAC functionality as documented in RFC2104 - Versions: 0.4.0-r1 (MIT)
ruby-ldap
A Ruby interface to some LDAP libraries - Versions: 0.9.19, 0.9.17 (BSD)
ruby-mp3info
A pure Ruby library for access to mp3 files (internal infos and tags) - Versions: 0.8.10, 0.8.9 (GPL-2)
ruby-net-ldap
Pure ruby LDAP client implementation - Versions: 0.16.0 (MIT)
ruby-oci8
A Ruby library for Oracle OCI8 - Versions: 2.2.3, 2.1.8, 2.2.4.1 (Ruby)
ruby-odbc
RubyODBC - For accessing ODBC data sources from the Ruby language - Versions: 0.99998, 0.99997-r1 (|| ( GPL-2 Ruby ))
ruby-oembed
An oEmbed consumer library written in Ruby. - Versions: 0.12.0 (MIT)
ruby-ole
Ruby library for easy read/write access to OLE compound documents - Versions: 1.2.12.1 (MIT)
ruby-opengl
OpenGL / GLUT bindings for ruby - Versions: 0.9.2, 0.10.0 (MIT)
ruby-openid
A robust library for verifying and serving OpenID identities - Versions: 2.7.0 (GPL-2)
ruby-pango
Ruby Pango bindings - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-poppler
Ruby poppler-glib bindings - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-prof
A module for profiling Ruby code - Versions: 0.16.2 (BSD)
ruby-progressbar
A Text Progress Bar Library for Ruby - Versions: 1.8.1, 1.7.5, 1.4.2-r1 (MIT)
ruby-rc4
A pure Ruby implementation of the Rc4 algorithm - Versions: 0.1.5-r2 (MIT)
ruby-romkan
A Romaji <-> Kana conversion library for Ruby - Versions: 0.4-r6 (Ruby)
ruby-rsvg
Ruby bindings for librsvg - Versions: 3.1.1, 3.0.8 (Ruby)
ruby-sdl
Ruby/SDL: Ruby bindings for SDL - Versions: 2.1.2-r2 (LGPL-2.1)
ruby-shadow
ruby shadow bindings - Versions: 2.5.0 (Ruby)
ruby-shout
A Ruby interface to libshout2 - Versions: 2.2.2 (Ruby)
ruby-termios
A Ruby interface to termios - Versions: 1.0.2-r1, 1.0.0-r1 (Ruby)
ruby-vte
Ruby vte bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-vte3
Ruby VTE bindings - Versions: 3.1.1, 3.0.8-r1 (Ruby)
ruby-webkit2-gtk
Ruby WebKitGtk+ for Gtk 3.0 bindings - Versions: 3.0.8, 3.1.1 (Ruby)
ruby-xslt
A Ruby class for processing XSLT - Versions: 0.9.9-r3 (GPL-2)
ruby-yadis
A ruby library for performing Yadis service discovery - Versions: 0.3.4-r2 (GPL-2)
ruby2ruby
Generates readable ruby from ParseTree - Versions: 2.4.0, 2.3.0, 2.3.2, 2.3.1 (GPL-2)
ruby_dep
Creates a version constraint of supported Rubies,suitable for a gemspec file - Versions: 1.5.0, 1.3.1, 1.4.0 (MIT)
ruby_gntp
Ruby library for GNTP(Growl Notification Transport Protocol) - Versions: 0.3.4 (MIT)
ruby_parser
A ruby parser written in pure ruby - Versions: 3.8.4, 3.10.1, 3.9.0, 3.8.2, 3.8.3, 3.10.0 (MIT)
ruby_smb
pure Ruby implementation of the SMB Protocol Family - Versions: 0.0.12 (BSD)
rubygems
Centralized Ruby extension management system - Versions: 2.5.2, 2.6.12 (|| ( Ruby MIT ))
rubyntlm
Ruby/NTLM provides message creator and parser for the NTLM authentication. - Versions: 0.6.1, 0.6.2 (MIT)
rubypants
A Ruby port of the SmartyPants PHP library - Versions: 0.5.1, 0.6.0, 0.5.0, 0.2.0-r5 (Ruby)
rubytest
Ruby Test is a universal test harness for Ruby - Versions: 0.8.1 (BSD-2)
rubytest-cli
Rubytest CLI is a command-line interface for Rubytest - Versions: 0.2.0 (BSD-2)
rubytter
Rubytter is a simple twitter library - Versions: 1.5.1, 1.5.1-r1 (MIT)
rubyzip
A ruby library for reading and writing zip files - Versions: 1.2.1 (Ruby)
safe_yaml
Parse YAML safely, alternative implementation of YAML.load - Versions: 1.0.4-r3, 1.0.4, 1.0.4-r2 (MIT)
samuel
An automatic logger for HTTP requests in Ruby - Versions: 0.3.3-r2 (MIT)
sanitize
Sanitize is a whitelist-based HTML sanitizer - Versions: 2.1.0, 4.5.0, 4.4.0 (MIT)
sass
An extension of CSS3, adding nested rules, variables, mixins and more - Versions: 3.4.15, 3.4.23, 3.2.19-r2, 3.4.25, 3.4.24 (MIT)
sass-rails
Official Ruby-on-Rails Integration with Sass - Versions: 5.0.5-r2, 5.0.6, 5.0.5-r1, 5.0.6-r1, 4.0.5, 5.0.4-r1, 5.0.5 (MIT)
sawyer
Secret User Agent of HTTP - Versions: 0.8.1 (MIT)
sdoc
rdoc generator html with javascript search index - Versions: 0.4.1, 0.4.2 (MIT)
seed-fu
Advanced seed data handling for Rails - Versions: 2.3.6 (MIT)
selenium-webdriver
This gem provides Ruby bindings for WebDriver - Versions: 2.53.4-r1, 3.5.1, 3.5.0, 3.3.0, 3.4.4, 3.4.3 (Apache-2.0)
semantic_puppet
Library of tools for working with Semantic Versions and module dependencies - Versions: 1.0.0, 0.1.3, 1.0.1-r1 (Apache-2.0)
semver2
maintain versions as per http://semver.org - Versions: 3.4.2 (MIT)
serialport
a library for serial port (rs232) access in ruby - Versions: 1.3.1 (GPL-2)
session
A set of classes to drive external programs via pipe - Versions: 3.1.2, 3.2.0 (Ruby)
settingslogic
A simple configuration / settings solution that uses an ERB enabled YAML file - Versions: 2.0.9 (MIT)
sexp_processor
Processor for s-expressions created as part of the ParseTree project - Versions: 4.7.0, 4.8.0, 4.9.0, 4.10.0 (GPL-2)
sfl
Library providing spawn() which is almost perfectly compatible with ruby 1.9's - Versions: 2.2-r1 (|| ( Ruby BSD-2 ))
shorturl
A very simple library to use URL shortening services such as TinyURL or RubyURL - Versions: 1.0.0-r2 (MIT)
shotgun
Forking implementation of rackup - Versions: 0.9.1, 0.9.2 (MIT)
shoulda
Making tests easy on the fingers and eyes - Versions: 3.5.0-r3, 2.11.3-r2, 3.5.0-r2 (MIT)
shoulda-context
Context framework extracted from Shoulda - Versions: 1.2.2, 1.2.1 (MIT)
shoulda-matchers
Making tests easy on the fingers and eyes - Versions: 3.1.2, 2.8.0-r1, 3.1.1-r1 (MIT)
sigar
System Information Gatherer And Reporter - Versions: 0.7.3 (Apache-2.0)
simple-rss
A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby - Versions: 1.3.1-r1 (LGPL-2)
simple_oauth
Simply builds and verifies OAuth headers - Versions: 0.3.1 (MIT)
simplecov
Code coverage with a configuration library and merging across test suites - Versions: 0.13.0, 0.14.0, 0.14.1 (MIT)
simplecov-html
Generates a HTML report of your SimpleCov ruby code coverage results - Versions: 0.10.2, 0.10.1 (MIT)
sinatra
A DSL for quickly creating web applications in Ruby with minimal effort - Versions: 1.4.7, 1.4.8 (MIT)
six
An ultra lite authorization library - Versions: 0.2.0 (MIT)
slim
A template language aiming to reduce the syntax to the essential parts - Versions: 3.0.8, 3.0.7-r1 (MIT)
slop
A simple option parser with an easy to remember syntax and friendly API - Versions: 4.4.1, 4.5.0, 3.6.0, 4.4.3 (MIT)
snmplib
SNMP library implemented in pure Ruby - Versions: 1.2.0-r1 (Ruby)
source_map
Provides an API for parsing, and an API for generating source maps in ruby - Versions: 3.0.1 (MIT)
sourcemap
Ruby source maps - Versions: 0.1.1 (MIT)
sparklines
Create sparklines, small graphs to be used inline in texts - Versions: 0.5.2-r6 (MIT)
spork
Spork is Tim Harper's implementation of test server - Versions: 0.9.2-r2 (MIT)
spreadsheet
Ruby library to read and write spreadsheet documents - Versions: 0.6.9 (GPL-3)
spring
Rails application preloader - Versions: 2.0.1, 2.0.2, 1.7.2 (MIT)
sprockets
Ruby library for compiling and serving web assets - Versions: 3.7.0, 3.7.1, 3.6.3, 2.12.3-r1, 3.4.1, 3.5.2 (MIT)
sprockets-rails
Sprockets implementation for Rails 4.x (and beyond) Asset Pipeline - Versions: 3.0.4, 3.0.4-r1, 3.1.1, 3.2.0-r1, 3.2.0, 2.3.3-r1 (MIT)
spy
A simple opinionated mocking framework - Versions: 0.4.5 (MIT)
sqlite3
An extension library to access a SQLite database from Ruby - Versions: 1.3.13, 1.3.12, 1.3.11 (BSD)
sshkey
SSH private and public key generator in pure Ruby - Versions: 1.8.0, 1.9.0 (MIT)
sshkit
SSHKit makes it easy to write structured, testable SSH commands in Ruby - Versions: 1.13.1, 1.11.5, 1.12.0, 1.11.4, 1.14.0 (MIT)
stamp
Date and time formatting for humans - Versions: 0.6.0 (MIT)
state_machine
Adds support for creating state machines for attributes on any Ruby class - Versions: 1.2.0 (MIT)
stomp
Ruby bindings for the stomp messaging protocol - Versions: 1.3.4, 1.4.4, 1.4.3 (Apache-2.0)
stringex
Extensions for Ruby's String class - Versions: 2.7.0, 2.7.1 (MIT)
subexec
Subexec spawns an external command with a timeout - Versions: 0.2.3-r1 (MIT)
syntax
Syntax highlighting for sourcecode and HTML - Versions: 1.2.0-r1, 1.2.2, 1.2.1 (BSD)
syslogger
Drop-in replacement for the standard Logger, that logs to the syslog - Versions: 1.6.4 (MIT)
systemu
Universal capture of STDOUT and STDERR and handling of child process PID - Versions: 2.6.5 (Ruby)
tdiff
Calculates the differences between two tree-like structures - Versions: 0.3.3-r1 (MIT)
temple
An abstraction and a framework for compiling templates to pure Ruby - Versions: 0.8.0, 0.6.10, 0.7.7 (MIT)
term-ansicolor
Small Ruby library that colors strings using ANSI escape sequences - Versions: 1.6.0, 1.2.2-r1 (GPL-2)
termcolor
a library for ANSI color formatting like HTML for output in terminal - Versions: 1.2.2 (MIT)
test-unit
An improved version of the Test::Unit framework from Ruby 1.8 - Versions: 2.5.5-r2, 3.2.4, 3.2.5, 3.1.9, 1.2.3-r3 (Ruby)
test-unit-rr
RR adapter for Test::Unit - Versions: 1.0.3-r1, 1.0.5 (LGPL-2.1+)
test_construct
Creates temporary files and directories for testing - Versions: 2.0.1-r1, 2.0.1 (MIT)
test_declarative
Simply adds a declarative test method syntax to test/unit - Versions: 0.0.5-r2 (MIT)
text
A collection of text algorithms - Versions: 1.3.1 (MIT)
text-hyphen
Hyphenates words according to the rules of the language the word is written in - Versions: 1.4.1-r2 (MIT)
textpow
A library to parse and process Textmate bundles - Versions: 1.4.0 (MIT)
thor
A scripting framework that replaces rake and sake - Versions: 0.20.0, 0.19.4, 0.19.1 (MIT)
thread_order
Test helper for ordering threaded code - Versions: 1.1.0 (MIT)
thread_safe
A collection of thread-safe versions of common core Ruby classes - Versions: 0.3.6, 0.3.5 (Apache-2.0)
tidy-ext
W3C HTML Tidy library implemented as a Ruby extension - Versions: 0.1.14-r3 (HTML-Tidy)
tidy_table
Tool to convert an array of struct into an HTML table - Versions: 0.0.5-r4 (MIT)
tilt
A thin interface over a Ruby template engines to make their usage as generic as possible - Versions: 1.4.1, 2.0.5, 2.0.7, 2.0.8, 1.4.1-r2 (MIT)
timecop
A gem providing 'time travel' and 'time freezing' capabilities - Versions: 0.8.1, 0.9.1, 0.7.1, 0.9.0 (MIT)
timers
Pure Ruby one-shot and periodic timers - Versions: 4.1.2, 4.1.1 (MIT)
tins
All the stuff that isn't good enough for a real library - Versions: 1.14.0, 1.13.0, 1.6.0, 1.13.2, 1.13.3, 1.15.0 (MIT)
tokyocabinet
Ruby bindings for Tokyo Cabinet - Versions: 1.32.0 (GPL-2)
totoridipjp
A ruby binding to use totori.dip.jp Web API - Versions: 0.1.0 (MIT)
transaction-simple
Provides transaction support at the object level - Versions: 1.4.0.2-r2 (MIT)
travis
Travis CI Client (CLI and Ruby library) - Versions: 1.8.8, 1.8.6-r1 (MIT)
treetop
Treetop is a language for describing languages - Versions: 1.6.8, 1.6.5 (Ruby)
trollop
Trollop is a commandline option parser for Ruby - Versions: 2.1.2, 1.16.2-r4 (MIT)
ttfunk
A TrueType font parser written in pure ruby - Versions: 1.4.0, 1.5.0, 1.2.1, 1.5.1 (|| ( GPL-2 GPL-3 Ruby ))
turbolinks
Makes following links in your web application faster - Versions: 2.5.3 (MIT)
twitter
Ruby wrapper around the Twitter API - Versions: 6.1.0, 5.17.0-r1 (MIT)
twitter-text
Text handling for Twitter - Versions: 1.14.6, 1.14.7, 1.14.5, 1.14.2 (MIT)
typed-array
Gem provides enforced-type functionality to Arrays - Versions: 0.1.2-r1 (MIT)
typhoeus
Runs HTTP requests in parallel while cleanly encapsulating handling logic - Versions: 1.1.2, 0.6.9 (Ruby)
tzinfo
Daylight-savings aware timezone library - Versions: 1.2.3, 1.2.2, 0.3.52 (MIT)
uconv
A module to convert ISO/IEC 10646 (Unicode) string and Japanese strings - Versions: 0.6.1-r2 (Ruby)
uglifier
Ruby wrapper for UglifyJS JavaScript compressor - Versions: 2.7.2, 3.0.4, 3.2.0 (MIT)
ultraviolet
A syntax highlighting engine based on Textpow - Versions: 1.0.1 (MIT)
unf
A wrapper library to bring Unicode Normalization Form support to Ruby/JRuby - Versions: 0.1.4 (BSD-2)
unf_ext
Unicode Normalization Form support library for CRuby - Versions: 0.0.7.1, 0.0.7.2, 0.0.7.4, 0.0.7.3 (MIT)
unindent
Ruby method to unindent strings - Versions: 1.0 (MIT)
uuidtools
Simple library to generate UUIDs - Versions: 2.1.5-r1 (MIT)
vcard
Ruby vcard support extracted from Vpim - Versions: 0.2.13, 0.2.15, 0.2.14 (GPL-3)
vcr
Records your test suite's HTTP interactions and replay them during test runs - Versions: 1.11.3, 2.9.3, 3.0.3 (MIT)
virtus
Attributes on Steroids for Plain Old Ruby Objects - Versions: 1.0.5 (MIT)
vlad
Pragmatic application deployment automation, without mercy - Versions: 2.7.0 (MIT)
warden
General Rack Authentication Framework - Versions: 1.2.6, 1.2.7 (MIT)
web-console
A debugging tool for your Ruby on Rails applications - Versions: 3.5.1, 3.4.0, 2.3.0, 3.3.1 (MIT)
webmock
Allows stubbing HTTP requests and setting expectations on HTTP requests - Versions: 1.20.3, 2.3.1, 1.24.6, 3.0.1, 2.1.0, 2.3.2 (GPL-2)
webrobots
A library to help write robots.txt compliant web robots - Versions: 0.1.1-r2, 0.1.2 (BSD-2)
websocket
Universal Ruby library to handle WebSocket protocol - Versions: 1.2.3, 1.2.4 (MIT)
websocket-driver
A complete implementation of the WebSocket protocols - Versions: 0.6.4, 0.6.5 (MIT)
websocket-extensions
Generic extension manager for WebSocket connections - Versions: 0.1.2 (MIT)
wikicloth
A mediawiki parser - Versions: 0.8.3 (MIT)
will_paginate
Most awesome pagination solution for Ruby - Versions: 3.1.0-r1, 3.1.5, 3.1.6, 3.1.0 (MIT)
windows_error
reference for standard Windows API Error Codes - Versions: 0.1.2, 0.1.1 (BSD)
wirble
Wirble is a set of enhancements for Irb - Versions: 0.1.3-r4 (Ruby)
xml-simple
Easy API to maintain XML. A Ruby port of Grant McLean's Perl module XML::Simple - Versions: 1.1.5 (Ruby)
xmlrpc
XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP - Versions: 0.3.0, 0.2.1 (Ruby)
xpath
XPath is a Ruby DSL around a subset of XPath 1.0 - Versions: 0.1.4-r1, 2.1.0, 2.0.0-r1 (MIT)
yajl-ruby
Ruby C bindings to the Yajl JSON stream-based parser library - Versions: 1.2.1, 1.3.0, 1.1.0-r1 (MIT)
yard
Documentation generation tool for the Ruby programming language - Versions: 0.9.4, 0.8.7.3, 0.9.9, 0.9.8, 0.8.7.6 (MIT)
zentest
Testing tools: zentest, unit_diff, autotest, multiruby, and Test::Rails - Versions: 4.11.1, 4.11.0 (Ruby)
comments powered by Disqus